scim-bridge-qt4-0.4.17-1.6.i586.rpm


Advertisement

Description

scim-bridge-qt4 - Scim-bridge immodule for Qt4

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename scim-bridge-qt4-0.4.17-1.6.i586.rpm
Package name scim-bridge-qt4
Package version 0.4.17
Package release 1.6
Package architecture i586
Package type rpm
Category System/I18n/Japanese
Homepage https://github.com/scim-im
License LGPL-2.1+
Maintainer -
Download size 50.05 KB
Installed size 126.54 KB
Scim-bridge-qt4 is the qt4 client of scim-bridge, it provides
another qt-immodule for SCIM.

Alternatives

Package Version Architecture Repository
scim-bridge-qt4-0.4.17-1.6.x86_64.rpm 0.4.17 x86_64 openSUSE Oss
scim-bridge-qt4 - - -

Requires

Name Value
/sbin/ldconfig -
libQtCore.so.4 -
libQtGui.so.4 -
libc.so.6(GLIBC_2.15) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
scim-bridge = 0.4.17

Provides

Name Value
scim-bridge-client-qt4 -
scim-bridge-qt = 0.4.17
scim-bridge-qt4 = 0.4.17-1.6
scim-bridge-qt4(x86-32) = 0.4.17-1.6

Obsoletes

Name Value
scim-bridge-qt <= 0.4.17

Download

Type URL
Mirror widehat.opensuse.org
Binary Package scim-bridge-qt4-0.4.17-1.6.i586.rpm
Source Package scim-bridge-0.4.17-1.6.src.rpm

Install Howto

Install scim-bridge-qt4 rpm package:

# zypper install scim-bridge-qt4

Files

Path
/usr/lib/qt4/plugins/inputmethods/im-scim-bridge.so

Changelog

2017-08-07 - i@marguerite.su
- update version 0.4.17
* collected fixes from openSUSE/Fedora/Gentoo
- upstreamed patches:
* bug-351920-should-return-retval.patch
* scim-bridge-0.4.15-gcc44.patch
* scim-bridge-fix-vnc-display-check.diff
* scim-bridge-gcc47.patch
* scim-bridge-reregister-type-module-if-reload.patch
- upstreamed source: scim-bridge.1
2015-09-13 - i@marguerite.su
- remove SLE_10 check
- remove gtk_prefix macro
- use scim_gtk2_immodule_* macros
- drop etc-x11-xim.d-scim-bridge-114
- refactored xim.d-scim-bridge
* no more skim, no bother to check WINDOWMANAGER
- rename subpackages: scim-bridge-gtk2/qt4
- add provides/obsoletes for the old subpackages
- baselibs.conf: scim-bridge-qt4 should supplement
scim-bridge and libqt4
- add scim-bridge.1 manpage from debian.
- use Summary/Description from debian, which properly
describle the packages.
- provide alt names which are the same w/ debian
- install immodules to the correct places.
2014-04-24 - dmueller@suse.com
- remove dependency on qt3
2012-09-13 - hillwood@linuxfans.org
- fix filelist in specfile.
2012-06-12 - tiwai@suse.de
- Remove locale provides for avoiding automatic installation
2012-06-07 - swyear@gmail.com
- remove "Provides: locale(scim:zh)" from spec
2012-03-24 - dimstar@opensuse.org
- Add scim-bridge-gcc47.patch: Fix build with gcc 4.7.
2012-02-01 - tiwai@suse.de
- Fix the parsing of $DISPLAY variable with VNC HOST::PORT syntax
(bnc#738627)
2011-11-27 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
2011-11-16 - swyear@gmail.com
- Add etc-x11-xim.d-scim-bridge-114 to use GTK_IM_MODULE="scim"
cause 11.4 don't support fallback mode
- For 11.2 and newer version, set GTK_IM_MODULE="scim-bridge:scim:xim"
so gtk3-base application can use scim's gtk3 immodule

See Also

Package Description
scim-bridge-qt4-32bit-0.4.17-1.6.x86_64.rpm Scim-bridge immodule for Qt4
scim-canna-1.0.1-6.10.i586.rpm Canna Input Method Engine for SCIM
scim-canna-1.0.1-6.10.x86_64.rpm Canna Input Method Engine for SCIM
scim-chewing-0.3.6+git20150821.5df4075-1.12.i586.rpm Chewing IM engine for SCIM platform
scim-chewing-0.3.6+git20150821.5df4075-1.12.x86_64.rpm Chewing IM engine for SCIM platform
scim-devel-1.4.18-1.7.i586.rpm Include Files and Libraries mandatory for Development
scim-devel-1.4.18-1.7.x86_64.rpm Include Files and Libraries mandatory for Development
scim-gtk-1.4.18-1.7.i586.rpm SCIM im module for gtk2
scim-gtk-1.4.18-1.7.x86_64.rpm SCIM im module for gtk2
scim-gtk-32bit-1.4.18-1.7.x86_64.rpm SCIM im module for gtk2
scim-gtk3-1.4.18-1.7.i586.rpm SCIM im module for gtk3
scim-gtk3-1.4.18-1.7.x86_64.rpm SCIM im module for gtk3
scim-gtk3-32bit-1.4.18-1.7.x86_64.rpm SCIM im module for gtk3
scim-hangul-0.4.0+git20140408.ee1d084-1.11.i586.rpm Hangul Input Method Engine for SCIM
scim-hangul-0.4.0+git20140408.ee1d084-1.11.x86_64.rpm Hangul Input Method Engine for SCIM
Advertisement
Advertisement